### Function

# FwupdPlugin hid_item_tag_from_string

#### Declaration [src]

    FuHidItemTag
    fu_hid_item_tag_from_string (
      const gchar* val
    )

#### Description [src]

Converts a string to an enumerated value.

#### Parameters

`val` | `const gchar*`
| A string, e.g. `input`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FuHidItemTag`
| Enumerated value.